from Components.Language import language
from os import environ as os_environ
import gettext
name = 'UltraCam'

def localeInit():
    os_environ['LANGUAGE'] = language.getLanguage()[:2]
    gettext.bindtextdomain(name, '/usr/lib/enigma2/python/Plugins/Extensions/' + name + '/locale')


def _(txt):
    t = gettext.dgettext(name, txt)
    if t == txt:
        t = gettext.gettext(txt)
    return t


localeInit()
language.addCallback(localeInit)